System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.DataGridColumn

Use the column type in a control to display the contents of a field in the data source. The values are listed in a single column. The field is linked to the , so any updates in the data source will reflect in the corresponding cells of the control.

This column type is the default for the control.

To control appearance of this column, use the style properties of the control.

Text is not HTML encoded before it is displayed in the . This makes it possible to embed script within HTML tags in the text. If the values for this column come from user input, be sure to validate the values to reduce security vulnerabilities.

A column type for the control that is bound to a field in a data source.

- Constructor

  Use this constructor to create and initialize a new instance of the class.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Use the property to specify the field to bind to the .

  Gets or sets the field name from the data source to bind to the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Property
  System.String To be added: an object of type 'string'

  Use the property to provide a custom format for the items in the column.

  The data format string consists of two parts, separated by a colon, in the form { : }. For example, the formatting string {0:F2} displays a fixed-point number with two decimal places.

  The entire string must be enclosed in braces to indicate that it is a format string and not a literal string. Any text outside the braces is displayed as literal text.

  The value before the colon ( in the general example) specifies the parameter index in a zero-based list of parameters.

  This value can only be set to 0 because there is only one value in each cell.

  The character after the colon ( in the general example) specifies the format to display the value in. The following table lists the common formats.

  Format character

  Description

  C

  Displays numeric values in currency format.

  D

  Displays numeric values in decimal format.

  E

  Displays numeric values in scientific (exponential) format.

  F

  Displays numeric values in fixed format.

  G

  Displays numeric values in general format.

  N

  Displays numeric values in number format.

  X

  Displays numeric values in hexadecimal format.

  The format character is not case-sensitive, except for X, which displays the hexadecimal characters in the case specified.

  The value after the format character ( in the general example) specifies the number of significant digits or decimal places to display.

  For more information on formatting strings, see [<topic://cpconformattingoverview>].

  Gets or sets the string that specifies the display format for items in the column.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  System.String ``

  Use the method to convert the specified value to the format indicated by the property.

  This method returns the string equivalent of the value if the property is not set.

  Converts the specified value to the format indicated by the property.

  The specified value converted to the format indicated by the property.

  The value to format. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use the method to reset the to its initial state.

  Resets the to its initial state.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` ``

  The method resets the specified cell in the to its initial state.

  Resets the specified cell in the to its initial state.

  A object that represents the cell to reset. The column number where the cell is located. One of the values. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Use the property to specify whether the items in the can be edited. This property can also be used to programmatically determine whether the column is read-only.

  Gets or sets a value that indicates whether the items in the can be edited.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(false)
- Field
  System.String

  Use the field to represent the "!" string.

  Represents the string "!". This field is read-only.

  1.0.5000.0
  2.0.0.0